%define upstream_name    MooseX-Blessed-Reconstruct
%define upstream_version 1.00

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A L<Data::Visitor> for creating Moose objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::MOP)
BuildRequires: perl(Data::Visitor)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::use::ok)
BuildRequires: perl(namespace::clean)
BuildArch: noarch


%description
The purpose of this module is to "fix up" blessed data into a real Moose
object.

This is used internally by the MooseX::YAML manpage but has no
implementation details having to do with the YAML manpage itself.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-5.mga6
+ Revision: 1030332
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1.0.0-4.mga6
+ Revision: 971878
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 1.0.0-3.mga6
+ Revision: 893429
+ rebuild (emptylog)

* Fri Oct 16 2015 tv <tv> 1.0.0-2.mga6
+ Revision: 892149
- BR perl(Module::Build)

* Mon Jun 22 2015 sander85 <sander85> 1.0.0-1.mga6
+ Revision: 839339
- update to 1.00

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 742288
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 685523
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 513140
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 370140
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 38594
- mageia rebuild
- imported package perl-MooseX-Blessed-Reconstruct

